boost::geometry::model::ring< Point, ClockWise, Closed, Container, Allocator > Class Template Reference
geometries: geometries provided by default

A ring (aka linear ring) is a closed line which should not be selfintersecting. More...

List of all members.

## Public Member Functions

| ring ()
| Default constructor, creating an empty \1.
template<typename Iterator >
| ring (Iterator begin, Iterator end)
| Constructor with begin and end, filling the \1.
| ring (std::initializer_list< Point > l)
| Constructor taking std::initializer_list, filling the \1.

## Detailed Description

### template<typename Point, bool ClockWise = true, bool Closed = true, template< typename, typename > class Container = std::vector, template< typename > class Allocator = std::allocator>
class boost::geometry::model::ring< Point, ClockWise, Closed, Container, Allocator >

A ring (aka linear ring) is a closed line which should not be selfintersecting.

Template Parameters:

  Point | point type
  ClockWise | true for clockwise direction, false for CounterClockWise direction
  Closed | true for closed polygons (last point == first point), false open points
  Container | container type, for example std::vector, std::deque
  Allocator | container-allocator-type

Examples:
  03_polygon_example.cpp.

## Constructor & Destructor Documentation

template<typename Point, bool ClockWise = true, bool Closed = true, template< typename, typename > class Container = std::vector, template< typename > class Allocator = std::allocator>

boost::geometry::model::ring< Point, ClockWise, Closed, Container, Allocator >::ring | ( |  | ) |

Default constructor, creating an empty \1.

template<typename Point, bool ClockWise = true, bool Closed = true, template< typename, typename > class Container = std::vector, template< typename > class Allocator = std::allocator>
template<typename Iterator >

boost::geometry::model::ring< Point, ClockWise, Closed, Container, Allocator >::ring | ( | Iterator | begin,
|  | Iterator | end
| ) |  |

Constructor with begin and end, filling the \1.

template<typename Point, bool ClockWise = true, bool Closed = true, template< typename, typename > class Container = std::vector, template< typename > class Allocator = std::allocator>

boost::geometry::model::ring< Point, ClockWise, Closed, Container, Allocator >::ring | ( | std::initializer_list< Point > | l | ) |

Constructor taking std::initializer_list, filling the \1.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK